Home | All Classes | Grouped Classes | Index | Search

# CL_Menu::create_menu

Convenience function for easy creation of menus. Creates needed menus, items and nodes automatically

    	CL_Menu* create_menu(
    		const std::string& path, const std::string& labels=std::string());

Parameters:

std::string path
  path and name of the menu node to create. Ex. "File/Open"
std::string labels
  labels to give menu items. Ex. "Fil/Aben". If empty, the path is used for labels.

See also:

CL_Menu

Questions or comments, write to the ClanLib mailing list.